> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# matcher.track.get

> Match your song against our database.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["basic"]} />

In some cases you already have some information about the track title, artist name, album, etc.\
A possible strategy to get the corresponding lyrics could be:

* search our catalogue with a precise match;
* try using fuzzy search;
* try again using artist aliases, and so on.

The matcher.track.get method does all the job for you in a single call.
This way you don’t need to worry about details, and you’ll get instant benefits for your application without changing a row in your code, while we take care of improving the implementation behind.

**Make sure to:**

* fulfill the [country restrictions](/content-restrictions) you receive for every copyrighted content;
* apply the [tracking method](/lyrics-views-tracking) of your choice.


## OpenAPI

````yaml get /ws/1.1/matcher.track.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/matcher.track.get:
    get:
      tags:
        - Matcher
      summary: matcher.track.get
      description: Match your song against our database.
      operationId: matcherTrackGet
      parameters:
        - name: q_track
          in: query
          schema:
            type: string
            example: Wildest Dreams (Taylor's Version)
          description: 'The song title. Required if the track_isrc is not indicated. '
          required: true
        - name: q_artist
          in: query
          schema:
            type: string
            example: Taylor Swift
          description: The song artist. Required if the track_isrc is not indicated.
          required: true
        - name: track_isrc
          in: query
          schema:
            type: string
            example: USUG12103658
          description: >-
            (Optional parameter) A valid ISRC identifier. If you have an ISRC ID
            in your catalogue you can query using this ID only.
      responses:
        '200':
          description: 200 OK / 401 Unauthorized
          headers:
            Accept-Ranges:
              schema:
                type: string
                example: bytes
            Age:
              schema:
                type: string
                example: '0'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '101'
            Date:
              schema:
                type: string
                example: Thu, 13 Feb 2025 15:16:04 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Via:
              schema:
                type: string
                example: 1.1 varnish
            X-Cache:
              schema:
                type: string
                example: MISS
            X-Cache-Hits:
              schema:
                type: string
                example: '0'
            X-Served-By:
              schema:
                type: string
                example: cache-iad-kcgs7200146-IAD
            X-Timer:
              schema:
                type: string
                example: S1739459765.732375,VS0,VE12
            x-mxm-cache:
              schema:
                type: string
                example: no-cache
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.0025529861450195'
            x-mxm-header-status:
              schema:
                type: string
                example: '401'
            x-mxm-nginx-ingress-controller:
              schema:
                type: string
                example: nginx-cdt-apisite-api
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              track:
                                type: object
                                properties:
                                  album_id:
                                    type: number
                                    example: 51353981
                                  album_name:
                                    type: string
                                    example: This Love (Taylor’s Version)
                                  artist_id:
                                    type: number
                                    example: 259675
                                  artist_name:
                                    type: string
                                    example: Taylor Swift
                                  commontrack_id:
                                    type: number
                                    example: 133444910
                                  commontrack_isrcs:
                                    type: array
                                    items:
                                      type: array
                                      items:
                                        type: string
                                        example: USUG12103658
                                      example:
                                        - USUG12103658
                                    example:
                                      - - USUG12103658
                                  explicit:
                                    type: number
                                    example: 1
                                  has_lyrics:
                                    type: number
                                    example: 1
                                  has_richsync:
                                    type: number
                                    example: 1
                                  has_subtitles:
                                    type: number
                                    example: 1
                                  instrumental:
                                    type: number
                                    example: 0
                                  num_favourite:
                                    type: number
                                    example: 167
                                  primary_genres:
                                    type: object
                                    properties:
                                      music_genre_list:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            music_genre:
                                              type: object
                                              properties:
                                                music_genre_id:
                                                  type: number
                                                  example: 14
                                                music_genre_name:
                                                  type: string
                                                  example: Pop
                                                music_genre_name_extended:
                                                  type: string
                                                  example: Pop
                                                music_genre_parent_id:
                                                  type: number
                                                  example: 34
                                                music_genre_vanity:
                                                  type: string
                                                  example: Pop
                                        example:
                                          - music_genre:
                                              music_genre_id: 14
                                              music_genre_name: Pop
                                              music_genre_name_extended: Pop
                                              music_genre_parent_id: 34
                                              music_genre_vanity: Pop
                                  restricted:
                                    type: number
                                    example: 0
                                  track_edit_url:
                                    type: string
                                    example: >-
                                      https://www.musixmatch.com/lyrics/Taylor-Swift/Wildest-Dreams-Taylor-s-Version/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950
                                  track_id:
                                    type: number
                                    example: 235600686
                                  track_isrc:
                                    type: string
                                    example: USUG12103658
                                  track_length:
                                    type: number
                                    example: 220
                                  track_lyrics_translation_status:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        from:
                                          type: string
                                          example: en
                                        perc:
                                          type: number
                                          example: 1
                                        to:
                                          type: string
                                          example: af
                                    example:
                                      - from: en
                                        perc: 1
                                        to: af
                                      - from: en
                                        perc: 1
                                        to: ar
                                      - from: en
                                        perc: 1
                                        to: zh
                                      - from: en
                                        perc: 1
                                        to: nl
                                      - from: en
                                        perc: 1
                                        to: f1
                                      - from: en
                                        perc: 1
                                        to: fi
                                      - from: en
                                        perc: 1
                                        to: fr
                                      - from: en
                                        perc: 1
                                        to: de
                                      - from: en
                                        perc: 1
                                        to: is
                                      - from: en
                                        perc: 1
                                        to: id
                                      - from: en
                                        perc: 1
                                        to: it
                                      - from: en
                                        perc: 1
                                        to: ja
                                      - from: en
                                        perc: 1
                                        to: ko
                                      - from: en
                                        perc: 1
                                        to: lt
                                      - from: en
                                        perc: 1
                                        to: ms
                                      - from: en
                                        perc: 1
                                        to: mn
                                      - from: en
                                        perc: 1
                                        to: ne
                                      - from: en
                                        perc: 1
                                        to: fa
                                      - from: en
                                        perc: 1
                                        to: pl
                                      - from: en
                                        perc: 1
                                        to: pt
                                      - from: en
                                        perc: 1
                                        to: ru
                                      - from: en
                                        perc: 1
                                        to: es
                                      - from: en
                                        perc: 1
                                        to: th
                                      - from: en
                                        perc: 1
                                        to: tr
                                      - from: en
                                        perc: 1
                                        to: vi
                                  track_name:
                                    type: string
                                    example: Wildest Dreams (Taylor's Version)
                                  track_rating:
                                    type: number
                                    example: 83
                                  track_share_url:
                                    type: string
                                    example: >-
                                      https://www.musixmatch.com/lyrics/Taylor-Swift/Wildest-Dreams-Taylor-s-Version?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950
                                  track_spotify_id:
                                    type: string
                                    example: 1IxeJLsubGTboNN9K5XNfL
                                  updated_time:
                                    type: string
                                    example: '2023-11-09T13:22:11Z'
                          - type: array
                            items: {}
                            example: []
                      header:
                        type: object
                        properties:
                          cached:
                            type: number
                            example: 1
                          confidence:
                            type: number
                            example: 1000
                          execute_time:
                            type: number
                            example: 0.008080005645752
                          mode:
                            type: string
                            example: search
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        track:
                          album_id: 51353981
                          album_name: This Love (Taylor’s Version)
                          artist_id: 259675
                          artist_name: Taylor Swift
                          commontrack_id: 133444910
                          commontrack_isrcs:
                            - - USUG12103658
                          explicit: 1
                          has_lyrics: 1
                          has_richsync: 1
                          has_subtitles: 1
                          instrumental: 0
                          num_favourite: 167
                          primary_genres:
                            music_genre_list:
                              - music_genre:
                                  music_genre_id: 14
                                  music_genre_name: Pop
                                  music_genre_name_extended: Pop
                                  music_genre_parent_id: 34
                                  music_genre_vanity: Pop
                          restricted: 0
                          track_edit_url: >-
                            https://www.musixmatch.com/lyrics/Taylor-Swift/Wildest-Dreams-Taylor-s-Version/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950
                          track_id: 235600686
                          track_isrc: USUG12103658
                          track_length: 220
                          track_lyrics_translation_status:
                            - from: en
                              perc: 1
                              to: af
                            - from: en
                              perc: 1
                              to: ar
                            - from: en
                              perc: 1
                              to: zh
                            - from: en
                              perc: 1
                              to: nl
                            - from: en
                              perc: 1
                              to: f1
                            - from: en
                              perc: 1
                              to: fi
                            - from: en
                              perc: 1
                              to: fr
                            - from: en
                              perc: 1
                              to: de
                            - from: en
                              perc: 1
                              to: is
                            - from: en
                              perc: 1
                              to: id
                            - from: en
                              perc: 1
                              to: it
                            - from: en
                              perc: 1
                              to: ja
                            - from: en
                              perc: 1
                              to: ko
                            - from: en
                              perc: 1
                              to: lt
                            - from: en
                              perc: 1
                              to: ms
                            - from: en
                              perc: 1
                              to: mn
                            - from: en
                              perc: 1
                              to: ne
                            - from: en
                              perc: 1
                              to: fa
                            - from: en
                              perc: 1
                              to: pl
                            - from: en
                              perc: 1
                              to: pt
                            - from: en
                              perc: 1
                              to: ru
                            - from: en
                              perc: 1
                              to: es
                            - from: en
                              perc: 1
                              to: th
                            - from: en
                              perc: 1
                              to: tr
                            - from: en
                              perc: 1
                              to: vi
                          track_name: Wildest Dreams (Taylor's Version)
                          track_rating: 83
                          track_share_url: >-
                            https://www.musixmatch.com/lyrics/Taylor-Swift/Wildest-Dreams-Taylor-s-Version?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950
                          track_spotify_id: 1IxeJLsubGTboNN9K5XNfL
                          updated_time: '2023-11-09T13:22:11Z'
                      header:
                        cached: 1
                        confidence: 1000
                        execute_time: 0.008080005645752
                        mode: search
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0025529861450195
                        status_code: 401
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````